# Market Stalls
A buildable market to sell your goods at any time.
## Changelog
| `Version` | `Update Notes`            |
|-----------|---------------------------|
| 1.0.0     | - Initial release         |
| 1.0.1     | - Tweaked pop-up messages |
| 1.0.2     | - Compatibility with JewelCraft, Valheim Enchantment System, EpicLoot and new smaller market stall |
| 1.0.3 | - Changed key name of server ignore list for compatibility with almanac
| 1.0.4 | - tweak to ignore list
| 1.0.5 | - Shader/Material fixes

## Features
- Buildable Market
- Owners can put items up for sale
- Users can purchase items
- Configurable currency
- Optional sales tax
- Collectable revenue
## Configurations
- Transparent Background - For a cleaner look to pair with MinimalUI
- Currency - Prefab Name, if invalid, defaults to coins
- Max Sales - Total amount of items allowed to put up for sale
- Sales Taxes
  - Fee Percentage - Calculated based on price of item
  - Minimum Fee - Minimum fee, so to always at least cost 1 coin
- Market Piece recipe
### Notes
- Character limit of price entry is determined by max stack size of currency item

    ( ex: Coins max stack size is 999, thus max amount to put an item for sale is 999 )

    ( ex: Amber max stack size is 10, thus max amount to put an item for sale is 99 )

    This is to avoid users input being too large
- Organize your player inventory to display available items to put up for sale in the stack size you desire
- Revenue is dispersed in increments of max stack size of currency

    ( ex: Coins max stack size is 999, thus you can only extract 999 coins at a time )

    ( ex: Amber max stack size is 10, thus you can only extract 10 amber at a time )

![](https://i.imgur.com/vygiCoK.png)
![](https://i.imgur.com/GQ4QWbf.png)
![](https://i.imgur.com/LrBwJMZ.png)


<h2 style="text-align: center">Contact Information</h2>
<div style="text-align: center">
    <div>For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord</div>
    <a href="https://discord.gg/v89DHnpvwS"><img src="https://i.imgur.com/XXP6HCU.png" alt=""></a>
    <div>Or come find me at the <span style="color: orange"><a href="https://discord.gg/fB8aHSfA8B">Modding Corner</a></span> </div>
    <div>If you enjoy this mod and want to support me: <a href="https://paypal.me/mpei">PayPal</a> </div>
    <img src="https://i.imgur.com/rbNygUc.png" alt="" width="150">
    <img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
</div>
